Bug 1785419 - The sctp feature is not available in the LatencySensitive featureset
Summary: The sctp feature is not available in the LatencySensitive featureset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.0
Assignee: Juan Luis de Sousa-Valadas
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On: 1784492
Blocks: 1771572
TreeView+ depends on / blocked
 
Reported: 2019-12-19 20:46 UTC by Neelesh Agrawal
Modified: 2020-02-09 11:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1784492
Environment:
Last Closed: 2020-01-23 11:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 554 0 None closed Bug 1785419: Allow sctp protocol with LatencySensitive FG 2020-03-12 14:21:44 UTC
Github openshift cluster-kube-apiserver-operator pull 704 0 None closed Bug 1785419: Consume the latest api / release-4.3 version 2020-03-12 14:21:47 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:20:00 UTC

Comment 2 Xingxing Xia 2019-12-20 02:29:19 UTC
Different feature gates involve different teams. Though they all are defined in above repos, per https://github.com/openshift/api/pull/550/files#diff-a5a3801c705742637eeef3b8e7d76bb8R134 it is sig-network, therefore moving to Networking component accordingly (it requires Subcomponent not sure which one is OK)

Comment 5 zhaozhanqi 2019-12-30 09:05:59 UTC
verified this bug on 4.3.0-0.nightly-2019-12-29-173422

 oc get featuregates -o yaml
apiVersion: v1
items:
- apiVersion: config.openshift.io/v1
  kind: FeatureGate
  metadata:
    annotations:
      release.openshift.io/create-only: "true"
    creationTimestamp: "2019-12-30T08:10:58Z"
    generation: 2
    name: cluster
    resourceVersion: "22532"
    selfLink: /apis/config.openshift.io/v1/featuregates/cluster
    uid: ba5dd10a-11fc-4354-8675-81e041cb4a7b
  spec:
    featureSet: LatencySensitive
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

 oc get svc
NAME         TYPE        CLUSTER-IP      EXTERNAL-IP   PORT(S)      AGE
sctpserver   ClusterIP   172.30.37.246   <none>        30100/SCTP   43s

Comment 7 errata-xmlrpc 2020-01-23 11:19:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.